import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreatePresetInput } from "../types/CreatePresetInput";
import { CreatePresetOutput } from "../types/CreatePresetOutput";
import { ElasticTranscoderResolvedConfiguration } from "../ElasticTranscoderConfiguration";
export * from "../types/CreatePresetInput";
export * from "../types/CreatePresetOutput";
export * from "../types/CreatePresetExceptionsUnion";
export declare class CreatePresetCommand implements __aws_sdk_types.Command<InputTypesUnion, CreatePresetInput, OutputTypesUnion, CreatePresetOutput, ElasticTranscoderResolvedConfiguration, Blob> {
    readonly input: CreatePresetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreatePresetInput, CreatePresetOutput, Blob>;
    constructor(input: CreatePresetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticTranscoderResolvedConfiguration): __aws_sdk_types.Handler<CreatePresetInput, CreatePresetOutput>;
}
