import { ValidationException } from "./ValidationException";
import { IncompatibleVersionException } from "./IncompatibleVersionException";
import { ResourceNotFoundException } from "./ResourceNotFoundException";
import { AccessDeniedException } from "./AccessDeniedException";
import { LimitExceededException } from "./LimitExceededException";
import { InternalServiceException } from "./InternalServiceException";
export declare type CreateJobExceptionsUnion = ValidationException | IncompatibleVersionException | ResourceNotFoundException | AccessDeniedException | LimitExceededException | InternalServiceException;
