import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListJobsByStatusInput } from "../types/ListJobsByStatusInput";
import { ListJobsByStatusOutput } from "../types/ListJobsByStatusOutput";
import { ElasticTranscoderResolvedConfiguration } from "../ElasticTranscoderConfiguration";
export * from "../types/ListJobsByStatusInput";
export * from "../types/ListJobsByStatusOutput";
export * from "../types/ListJobsByStatusExceptionsUnion";
export declare class ListJobsByStatusCommand implements __aws_sdk_types.Command<InputTypesUnion, ListJobsByStatusInput, OutputTypesUnion, ListJobsByStatusOutput, ElasticTranscoderResolvedConfiguration, Blob> {
    readonly input: ListJobsByStatusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListJobsByStatusInput, ListJobsByStatusOutput, Blob>;
    constructor(input: ListJobsByStatusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticTranscoderResolvedConfiguration): __aws_sdk_types.Handler<ListJobsByStatusInput, ListJobsByStatusOutput>;
}
