"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListJobsByStatus_1 = require("../model/operations/ListJobsByStatus");
var ListJobsByStatusCommand = /** @class */ (function () {
    function ListJobsByStatusCommand(input) {
        this.input = input;
        this.model = ListJobsByStatus_1.ListJobsByStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListJobsByStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListJobsByStatusCommand;
}());
exports.ListJobsByStatusCommand = ListJobsByStatusCommand;
//# sourceMappingURL=ListJobsByStatusCommand.js.map