"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdatePipelineStatus_1 = require("../model/operations/UpdatePipelineStatus");
var UpdatePipelineStatusCommand = /** @class */ (function () {
    function UpdatePipelineStatusCommand(input) {
        this.input = input;
        this.model = UpdatePipelineStatus_1.UpdatePipelineStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdatePipelineStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdatePipelineStatusCommand;
}());
exports.UpdatePipelineStatusCommand = UpdatePipelineStatusCommand;
//# sourceMappingURL=UpdatePipelineStatusCommand.js.map