"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdatePipelineStatusInput_1 = require("../shapes/UpdatePipelineStatusInput");
var UpdatePipelineStatusOutput_1 = require("../shapes/UpdatePipelineStatusOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdatePipelineStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdatePipelineStatus",
    http: {
        method: "POST",
        requestUri: "/2012-09-25/pipelines/{Id}/status"
    },
    input: {
        shape: UpdatePipelineStatusInput_1.UpdatePipelineStatusInput
    },
    output: {
        shape: UpdatePipelineStatusOutput_1.UpdatePipelineStatusOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=UpdatePipelineStatus.js.map