"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _OutputKeys_1 = require("./_OutputKeys");
var _HlsContentProtection_1 = require("./_HlsContentProtection");
var _PlayReadyDrm_1 = require("./_PlayReadyDrm");
exports._Playlist = {
    type: "structure",
    required: [],
    members: {
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Format: {
            shape: {
                type: "string"
            }
        },
        OutputKeys: {
            shape: _OutputKeys_1._OutputKeys
        },
        HlsContentProtection: {
            shape: _HlsContentProtection_1._HlsContentProtection
        },
        PlayReadyDrm: {
            shape: _PlayReadyDrm_1._PlayReadyDrm
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        StatusDetail: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_Playlist.js.map